<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class CommissionFee extends Model
{
    protected $table = 'commission_fees';

    protected $fillable = [
        'user_id',
        'wallet_id',
        'amount',
        'balance_before',
        'balance_after',
        'status'
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function wallet()
    {
        return $this->belongsTo(CommissionWallet::class, 'wallet_id');
    }
}